import StiJson from "../system/StiJson";
import { StiPen } from "./StiPen";
export declare class StiBorder {
    pen?: StiPen;
    drawLeft?: boolean;
    drawTop?: boolean;
    drawRight?: boolean;
    drawBottom?: boolean;
    constructor(pen?: StiPen, drawLeft?: boolean, drawTop?: boolean, drawRight?: boolean, drawBottom?: boolean);
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
}
